List of Pointers

Data Structures | Functions
List of Pointers
Eina C++Eina C++ » | Data Types » Containers

## Data Structures
struct | efl::eina::_ptr_list_iterator_base
struct | efl::eina::_ptr_list_iterator< T >
struct | efl::eina::_ptr_list_access_traits
class | efl::eina::ptr_list< T, CloneAllocator >
| List class. More...
struct | efl::eina::range_ptr_list< T >
| Range class for ptr_list. More...
struct | efl::eina::_ptr_list_common_base< T, CloneAllocator >
| Common implementations for `ptr_list`. More...

## Functions
template<typename T , typename CloneAllocator1 , typename CloneAllocator2 >
bool | efl::eina::operator== (ptr_list< T, CloneAllocator1 > const &lhs, ptr_list< T, CloneAllocator2 > const &rhs)
| Check if both lists are equal. More...
template<typename T , typename CloneAllocator1 , typename CloneAllocator2 >
bool | efl::eina::operator!= (ptr_list< T, CloneAllocator1 > const &lhs, ptr_list< T, CloneAllocator2 > const &rhs)
| Check if two lists are different. More...
template<typename T , typename CloneAllocator >
void | efl::eina::swap (ptr_list< T, CloneAllocator > &lhs, ptr_list< T, CloneAllocator > &rhs)
| Swap content between two lists. More...

## Detailed Description

## Function Documentation

## ◆ operator==()

template<typename T , typename CloneAllocator1 , typename CloneAllocator2 >

bool efl::eina::operator== | ( | ptr_list< T, CloneAllocator1 > const & | lhs,
|  | ptr_list< T, CloneAllocator2 > const & | rhs
| ) |  |

Check if both lists are equal.

Parameters

  lhs | `ptr_list` at the left side of the expression.
  rhs | `ptr_list` at the right side of the expression.

Returns
  `true` if the lists are equals, `false` otherwise.

This operator checks if the given lists are equal. To be considered equal both lists need to have the same number of elements, and each element in one list must be equal to the element at the same position in the other list.

References efl::eina::ptr_list< T, CloneAllocator >::begin(), efl::eina::ptr_list< T, CloneAllocator >::end(), and efl::eina::ptr_list< T, CloneAllocator >::size().

## ◆ operator!=()

template<typename T , typename CloneAllocator1 , typename CloneAllocator2 >

bool efl::eina::operator!= | ( | ptr_list< T, CloneAllocator1 > const & | lhs,
|  | ptr_list< T, CloneAllocator2 > const & | rhs
| ) |  |

Check if two lists are different.

Parameters

  lhs | `ptr_list` at the left side of the expression.
  rhs | `ptr_list` at the right side of the expression.

Returns
  `true` if the lists are not equal , `false` otherwise.

This operator returns the opposite of operator==(ptr_list<T, CloneAllocator1> const& lhs, ptr_list<T, CloneAllocator2> const& rhs).

## ◆ swap()

template<typename T , typename CloneAllocator >

void efl::eina::swap | ( | ptr_list< T, CloneAllocator > & | lhs,
|  | ptr_list< T, CloneAllocator > & | rhs
| ) |  |

Swap content between two lists.

Parameters

  other | Other `ptr_list` of the same type.

References efl::eina::ptr_list< T, CloneAllocator >::swap().

Referenced by efl::eina::ptr_list< Eo, std::conditional< std::is_same< CloneAllocator, default_clone_allocator_placeholder >::value, eo_clone_allocator, CloneAllocator >::type >::swap().